com.impinj.stp

## Class StpApi.OperationMetrics.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationMetrics.Builder>
      - - com.impinj.stp.StpApi.OperationMetrics.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.OperationMetricsOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.OperationMetrics

      public static final class StpApi.OperationMetrics.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationMetrics.Builder>
      implements StpApi.OperationMetricsOrBuilder

  Protobuf type `Impinj.STP.OperationMetrics`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.OperationMetrics.Builder` | `addAllInterDeviceCommunicationMetrics(java.lang.Iterable<? extends StpApi.InterDeviceCommunicationMetrics> values)`
    `StpApi.OperationMetrics.Builder` | `addAllTagMetrics(java.lang.Iterable<? extends StpApi.TagMetrics> values)`
    `StpApi.OperationMetrics.Builder` | `addInterDeviceCommunicationMetrics(int index, StpApi.InterDeviceCommunicationMetrics.Builder builderForValue)`
    `StpApi.OperationMetrics.Builder` | `addInterDeviceCommunicationMetrics(int index, StpApi.InterDeviceCommunicationMetrics value)`
    `StpApi.OperationMetrics.Builder` | `addInterDeviceCommunicationMetrics(StpApi.InterDeviceCommunicationMetrics.Builder builderForValue)`
    `StpApi.OperationMetrics.Builder` | `addInterDeviceCommunicationMetrics(StpApi.InterDeviceCommunicationMetrics value)`
    `StpApi.InterDeviceCommunicationMetrics.Builder` | `addInterDeviceCommunicationMetricsBuilder()`
    `StpApi.InterDeviceCommunicationMetrics.Builder` | `addInterDeviceCommunicationMetricsBuilder(int index)`
    `StpApi.OperationMetrics.Builder` | `addTagMetrics(int index, StpApi.TagMetrics.Builder builderForValue)`
    `StpApi.OperationMetrics.Builder` | `addTagMetrics(int index, StpApi.TagMetrics value)`
    `StpApi.OperationMetrics.Builder` | `addTagMetrics(StpApi.TagMetrics.Builder builderForValue)`
    `StpApi.OperationMetrics.Builder` | `addTagMetrics(StpApi.TagMetrics value)`
    `StpApi.TagMetrics.Builder` | `addTagMetricsBuilder()`
    `StpApi.TagMetrics.Builder` | `addTagMetricsBuilder(int index)`
    `StpApi.OperationMetrics` | `build()`
    `StpApi.OperationMetrics` | `buildPartial()`
    `StpApi.OperationMetrics.Builder` | `clear()`
    `StpApi.OperationMetrics.Builder` | `clearInterDeviceCommunicationMetrics()`
    `StpApi.OperationMetrics.Builder` | `clearRemainingMonzaEncodes()`
    `StpApi.OperationMetrics.Builder` | `clearRemainingNonMonzaEncodes()`
    `StpApi.OperationMetrics.Builder` | `clearTagMetrics()`
    `StpApi.OperationMetrics.Builder` | `clone()`
    `StpApi.OperationMetrics` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.InterDeviceCommunicationMetrics` | `getInterDeviceCommunicationMetrics(int index)`
    `StpApi.InterDeviceCommunicationMetrics.Builder` | `getInterDeviceCommunicationMetricsBuilder(int index)`
    `java.util.List<StpApi.InterDeviceCommunicationMetrics.Builder>` | `getInterDeviceCommunicationMetricsBuilderList()`
    `int` | `getInterDeviceCommunicationMetricsCount()`
    `java.util.List<StpApi.InterDeviceCommunicationMetrics>` | `getInterDeviceCommunicationMetricsList()`
    `StpApi.InterDeviceCommunicationMetricsOrBuilder` | `getInterDeviceCommunicationMetricsOrBuilder(int index)`
    `java.util.List<? extends StpApi.InterDeviceCommunicationMetricsOrBuilder>` | `getInterDeviceCommunicationMetricsOrBuilderList()`
    `long` | `getRemainingMonzaEncodes()`
    `long` | `getRemainingNonMonzaEncodes()`
    `StpApi.TagMetrics` | `getTagMetrics(int index)`
    `StpApi.TagMetrics.Builder` | `getTagMetricsBuilder(int index)`
    `java.util.List<StpApi.TagMetrics.Builder>` | `getTagMetricsBuilderList()`
    `int` | `getTagMetricsCount()`
    `java.util.List<StpApi.TagMetrics>` | `getTagMetricsList()`
    `StpApi.TagMetricsOrBuilder` | `getTagMetricsOrBuilder(int index)`
    `java.util.List<? extends StpApi.TagMetricsOrBuilder>` | `getTagMetricsOrBuilderList()`
    `boolean` | `hasRemainingMonzaEncodes()`
    `boolean` | `hasRemainingNonMonzaEncodes()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.OperationMetrics.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.OperationMetrics.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.OperationMetrics.Builder` | `mergeFrom(StpApi.OperationMetrics other)`
    `StpApi.OperationMetrics.Builder` | `removeInterDeviceCommunicationMetrics(int index)`
    `StpApi.OperationMetrics.Builder` | `removeTagMetrics(int index)`
    `StpApi.OperationMetrics.Builder` | `setInterDeviceCommunicationMetrics(int index, StpApi.InterDeviceCommunicationMetrics.Builder builderForValue)`
    `StpApi.OperationMetrics.Builder` | `setInterDeviceCommunicationMetrics(int index, StpApi.InterDeviceCommunicationMetrics value)`
    `StpApi.OperationMetrics.Builder` | `setRemainingMonzaEncodes(long value)`
    `StpApi.OperationMetrics.Builder` | `setRemainingNonMonzaEncodes(long value)`
    `StpApi.OperationMetrics.Builder` | `setTagMetrics(int index, StpApi.TagMetrics.Builder builderForValue)`
    `StpApi.OperationMetrics.Builder` | `setTagMetrics(int index, StpApi.TagMetrics value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationMetrics.Builder>`

    - #### clear

          public StpApi.OperationMetrics.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationMetrics.Builder>`

    - #### clone

          public StpApi.OperationMetrics.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationMetrics.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationMetrics.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.OperationMetrics getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.OperationMetrics build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.OperationMetrics buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.OperationMetrics.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OperationMetrics.Builder>`

    - #### mergeFrom

          public StpApi.OperationMetrics.Builder mergeFrom(StpApi.OperationMetrics other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationMetrics.Builder>`

    - #### mergeFrom

          public StpApi.OperationMetrics.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OperationMetrics.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasRemainingNonMonzaEncodes

          public boolean hasRemainingNonMonzaEncodes()

      Specified by:
        `hasRemainingNonMonzaEncodes` in interface `StpApi.OperationMetricsOrBuilder`

    - #### getRemainingNonMonzaEncodes

          public long getRemainingNonMonzaEncodes()

      Specified by:
        `getRemainingNonMonzaEncodes` in interface `StpApi.OperationMetricsOrBuilder`

    - #### setRemainingNonMonzaEncodes

          public StpApi.OperationMetrics.Builder setRemainingNonMonzaEncodes(long value)

    - #### clearRemainingNonMonzaEncodes

          public StpApi.OperationMetrics.Builder clearRemainingNonMonzaEncodes()

    - #### getTagMetricsList

          public java.util.List<StpApi.TagMetrics> getTagMetricsList()

      Specified by:
        `getTagMetricsList` in interface `StpApi.OperationMetricsOrBuilder`

    - #### getTagMetricsCount

          public int getTagMetricsCount()

      Specified by:
        `getTagMetricsCount` in interface `StpApi.OperationMetricsOrBuilder`

    - #### getTagMetrics

          public StpApi.TagMetrics getTagMetrics(int index)

      Specified by:
        `getTagMetrics` in interface `StpApi.OperationMetricsOrBuilder`

    - #### setTagMetrics

          public StpApi.OperationMetrics.Builder setTagMetrics(int index,
                                                               StpApi.TagMetrics value)

    - #### setTagMetrics

          public StpApi.OperationMetrics.Builder setTagMetrics(int index,
                                                               StpApi.TagMetrics.Builder builderForValue)

    - #### addTagMetrics

          public StpApi.OperationMetrics.Builder addTagMetrics(StpApi.TagMetrics value)

    - #### addTagMetrics

          public StpApi.OperationMetrics.Builder addTagMetrics(int index,
                                                               StpApi.TagMetrics value)

    - #### addTagMetrics

          public StpApi.OperationMetrics.Builder addTagMetrics(StpApi.TagMetrics.Builder builderForValue)

    - #### addTagMetrics

          public StpApi.OperationMetrics.Builder addTagMetrics(int index,
                                                               StpApi.TagMetrics.Builder builderForValue)

    - #### addAllTagMetrics

          public StpApi.OperationMetrics.Builder addAllTagMetrics(java.lang.Iterable<? extends StpApi.TagMetrics> values)

    - #### clearTagMetrics

          public StpApi.OperationMetrics.Builder clearTagMetrics()

    - #### removeTagMetrics

          public StpApi.OperationMetrics.Builder removeTagMetrics(int index)

    - #### getTagMetricsBuilder

          public StpApi.TagMetrics.Builder getTagMetricsBuilder(int index)

    - #### getTagMetricsOrBuilder

          public StpApi.TagMetricsOrBuilder getTagMetricsOrBuilder(int index)

      Specified by:
        `getTagMetricsOrBuilder` in interface `StpApi.OperationMetricsOrBuilder`

    - #### getTagMetricsOrBuilderList

          public java.util.List<? extends StpApi.TagMetricsOrBuilder> getTagMetricsOrBuilderList()

      Specified by:
        `getTagMetricsOrBuilderList` in interface `StpApi.OperationMetricsOrBuilder`

    - #### addTagMetricsBuilder

          public StpApi.TagMetrics.Builder addTagMetricsBuilder()

    - #### addTagMetricsBuilder

          public StpApi.TagMetrics.Builder addTagMetricsBuilder(int index)

    - #### getTagMetricsBuilderList

          public java.util.List<StpApi.TagMetrics.Builder> getTagMetricsBuilderList()

    - #### getInterDeviceCommunicationMetricsList

          public java.util.List<StpApi.InterDeviceCommunicationMetrics> getInterDeviceCommunicationMetricsList()

      Specified by:
        `getInterDeviceCommunicationMetricsList` in interface `StpApi.OperationMetricsOrBuilder`

    - #### getInterDeviceCommunicationMetricsCount

          public int getInterDeviceCommunicationMetricsCount()

      Specified by:
        `getInterDeviceCommunicationMetricsCount` in interface `StpApi.OperationMetricsOrBuilder`

    - #### getInterDeviceCommunicationMetrics

          public StpApi.InterDeviceCommunicationMetrics getInterDeviceCommunicationMetrics(int index)

      Specified by:
        `getInterDeviceCommunicationMetrics` in interface `StpApi.OperationMetricsOrBuilder`

    - #### setInterDeviceCommunicationMetrics

          public StpApi.OperationMetrics.Builder setInterDeviceCommunicationMetrics(int index,
                                                                                    StpApi.InterDeviceCommunicationMetrics value)

    - #### setInterDeviceCommunicationMetrics

          public StpApi.OperationMetrics.Builder setInterDeviceCommunicationMetrics(int index,
                                                                                    StpApi.InterDeviceCommunicationMetrics.Builder builderForValue)

    - #### addInterDeviceCommunicationMetrics

          public StpApi.OperationMetrics.Builder addInterDeviceCommunicationMetrics(StpApi.InterDeviceCommunicationMetrics value)

    - #### addInterDeviceCommunicationMetrics

          public StpApi.OperationMetrics.Builder addInterDeviceCommunicationMetrics(int index,
                                                                                    StpApi.InterDeviceCommunicationMetrics value)

    - #### addInterDeviceCommunicationMetrics

          public StpApi.OperationMetrics.Builder addInterDeviceCommunicationMetrics(StpApi.InterDeviceCommunicationMetrics.Builder builderForValue)

    - #### addInterDeviceCommunicationMetrics

          public StpApi.OperationMetrics.Builder addInterDeviceCommunicationMetrics(int index,
                                                                                    StpApi.InterDeviceCommunicationMetrics.Builder builderForValue)

    - #### addAllInterDeviceCommunicationMetrics

          public StpApi.OperationMetrics.Builder addAllInterDeviceCommunicationMetrics(java.lang.Iterable<? extends StpApi.InterDeviceCommunicationMetrics> values)

    - #### clearInterDeviceCommunicationMetrics

          public StpApi.OperationMetrics.Builder clearInterDeviceCommunicationMetrics()

    - #### removeInterDeviceCommunicationMetrics

          public StpApi.OperationMetrics.Builder removeInterDeviceCommunicationMetrics(int index)

    - #### getInterDeviceCommunicationMetricsBuilder

          public StpApi.InterDeviceCommunicationMetrics.Builder getInterDeviceCommunicationMetricsBuilder(int index)

    - #### getInterDeviceCommunicationMetricsOrBuilder

          public StpApi.InterDeviceCommunicationMetricsOrBuilder getInterDeviceCommunicationMetricsOrBuilder(int index)

      Specified by:
        `getInterDeviceCommunicationMetricsOrBuilder` in interface `StpApi.OperationMetricsOrBuilder`

    - #### getInterDeviceCommunicationMetricsOrBuilderList

          public java.util.List<? extends StpApi.InterDeviceCommunicationMetricsOrBuilder> getInterDeviceCommunicationMetricsOrBuilderList()

      Specified by:
        `getInterDeviceCommunicationMetricsOrBuilderList` in interface `StpApi.OperationMetricsOrBuilder`

    - #### addInterDeviceCommunicationMetricsBuilder

          public StpApi.InterDeviceCommunicationMetrics.Builder addInterDeviceCommunicationMetricsBuilder()

    - #### addInterDeviceCommunicationMetricsBuilder

          public StpApi.InterDeviceCommunicationMetrics.Builder addInterDeviceCommunicationMetricsBuilder(int index)

    - #### getInterDeviceCommunicationMetricsBuilderList

          public java.util.List<StpApi.InterDeviceCommunicationMetrics.Builder> getInterDeviceCommunicationMetricsBuilderList()

    - #### hasRemainingMonzaEncodes

          public boolean hasRemainingMonzaEncodes()

      Specified by:
        `hasRemainingMonzaEncodes` in interface `StpApi.OperationMetricsOrBuilder`

    - #### getRemainingMonzaEncodes

          public long getRemainingMonzaEncodes()

      Specified by:
        `getRemainingMonzaEncodes` in interface `StpApi.OperationMetricsOrBuilder`

    - #### setRemainingMonzaEncodes

          public StpApi.OperationMetrics.Builder setRemainingMonzaEncodes(long value)

    - #### clearRemainingMonzaEncodes

          public StpApi.OperationMetrics.Builder clearRemainingMonzaEncodes()